Package ru.bitel.bgbilling.kernel.contract.api.common.bean

# Class ContractNote

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.contract.api.common.bean.ContractNote

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class ContractNote extends IdTitle
Примечание договора.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ContractNote.Builder`

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractNote()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ContractNote.Builder`
  `builder()`
  `String`
  `getComment()`
  `int`
  `getContractId()`
  `Date`
  `getDate()`
  `LocalDateTime`
  `getDateTime()`
  `int`
  `getUserId()`
  `boolean`
  `isVisible()`
  `void`
  `setComment(String comment)`
  `void`
  `setContractId(int contractId)`
  `void`
  `setDateTime(LocalDateTime time)`
  `void`
  `setUserId(int userId)`
  `void`
  `setVisible(boolean visible)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### ContractNote

    public ContractNote()

- ## Method Details

  - ### getComment

    public String getComment()

  - ### getContractId

    public int getContractId()

  - ### getDate

    public Date getDate()

  - ### getDateTime

    public LocalDateTime getDateTime()

  - ### getUserId

    public int getUserId()

  - ### isVisible

    public boolean isVisible()

  - ### setComment

    public void setComment(String comment)

  - ### setContractId

    public void setContractId(int contractId)

  - ### setDateTime

    public void setDateTime(LocalDateTime time)

  - ### setUserId

    public void setUserId(int userId)

  - ### setVisible

    public void setVisible(boolean visible)

  - ### builder

    public static ContractNote.Builder builder()